%define fw_version 5.24

Summary:	KDE Frameworks 5 module used to install and load non-binary packages
Name:		kpackage
Version:	5.24.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	karchive-devel >= %{version}
BuildRequires:	kconfig-devel >= %{version}
BuildRequires:	kcoreaddons-devel >= %{version}
BuildRequires:	kdoctools-devel >= %{version}
BuildRequires:	ki18n-devel >= %{version}
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Test)

%description
KDE Frameworks 5 module used to install and load non-binary packages.

The Package framework lets the user to install and load packages of non-binary
content such as scripted extensions or graphic assets, as they were traditional
plugins.

%files
%{_kde5_bindir}/kpackagetool5
%{_kde5_mandir}/man1/kpackagetool5.1*
%{_kde5_servicetypes}/kpackage-packagestructure.desktop

#----------------------------------------------------------------------------

%package i18n
Summary:	KPackage translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KPackage translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define kf5package_major 5
%define libkf5package %mklibname kf5package %{kf5package_major}

%package -n %{libkf5package}
Summary:	KDE Frameworks 5 package management shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5package}
KDE Frameworks 5 package management shared library.

%files -n %{libkf5package}
%{_kde5_libdir}/libKF5Package.so.%{kf5package_major}*

#----------------------------------------------------------------------------

%define devkf5package %mklibname kf5package -d

%package -n %{devkf5package}
Summary:	Development files for KDE Frameworks 5 package management module
Group:		Development/KDE and Qt
Requires:	%{libkf5package} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5package-devel = %{version}

%description -n %{devkf5package}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5package}
%{_kde5_includedir}/KF5/KPackage
%{_kde5_includedir}/KF5/kpackage_version.h
%{_kde5_libdir}/cmake/KF5Package
%{_kde5_libdir}/libKF5Package.so

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt --with-man

%changelog

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (b50ac21) New version 5.24.0


